Bug 113772 - modprobe: Can't locate module ppp0 when a connection is closed
modprobe: Can't locate module ppp0 when a connection is closed
Product: Fedora
Classification: Fedora
Component: modutils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-01-17 12:23 EST by Davide Bolcioni
Modified: 2014-03-16 22:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-24 00:40:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Davide Bolcioni 2004-01-17 12:23:13 EST
Description of problem:
When a dialup connection is torn down, a spurious error message
appears in /var/log/messages.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Estabilish a dialup connection.
2. tail -f /var/log/messages
3. Tear the connection down
Actual results:
the message

  modprobe: Can't locate module ppp0

appears before pppd exits.

Expected results:
No such message.

Additional info:
The following lines appear in /etc/modprobe.conf.dist

  alias ppp0 ppp
  alias ppp1 ppp

but there is no ppp.o module nor an alias pointing to it. Pointing
the aliases to ppp_generic gets rid of the spurious message, but I
am not sure of the ramifications (although it still works).
Comment 1 Bill Nottingham 2004-02-24 00:40:43 EST
Fixed in modutils-2.4.26-6.

Note You need to log in before you can comment on or make changes to this bug.